unit frmmain;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, SDL_plot3d, Vcl.StdCtrls, Vcl.ExtCtrls;

type
  TForm1 = class(TForm)
    P3D: TPlot3D;
    Panel1: TPanel;
    Label1: TLabel;
    SBarColHigh: TScrollBar;
    procedure FormShow(Sender: TObject);
    procedure SBarColHighChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

const
  Data : array[1..14,1..12] of double =
         ((2,3, 1,2,3,2,4,2,3,1,2,3),
          (2,4, 2,3,2,4,3,1,2,3,2,4),
          (0,2, 5, 7,10,14,14,13,12,11, 8,4),
          (1,2, 9,13,17,26,27,24,20,14,11,3),
          (0,2,11,17,24,21,32,32,20,17,12,4),
          (1,2,12,20,27,28,27,33,25,19,12,3),
          (0,2,12,21,23,21,23,33,25,19,12,4),
          (1,2,13,22,31,28,27,33,26,20,13,3),
          (0,2,13,20,31,30,32,33,23,19,12,4),
          (1,2,12,18,28,30,32,32,23,19,11,4),
          (0,2,11,16,18,26,28,29,21,18,10,4),
          (1,2, 8,10,12,14,15,15,14,12, 7,3),
          (2,4, 2,3,2,4,3,1,2,3,2,4),
          (2,4, 2,3,2,4,3,1,2,3,2,4));

procedure TForm1.FormShow(Sender: TObject);

var
  i, j : integer;

begin
P3d.SuppressPaint := true;
P3d.GridMat.Resize(14,12);
for i:=1 to 14 do
  for j:=1 to 12 do
    P3d.GridMat[i,j] := Data[i,j];
P3D.SetRange(1,14,1,12,0,35);
P3d.SuppressPaint := false;
end;

procedure TForm1.SBarColHighChange(Sender: TObject);
begin
P3D.ColorScaleHigh := SBarColHigh.Position;
end;

end.
